Thu, 18 Jul 2019 05:20:29 UTC

Information for build phan-1.2.7-1.fc28

ID1238719
Package Namephan
Version1.2.7
Release1.fc28
Epoch
Sourcegit+https://src.fedoraproject.org/rpms/phan.git#9cf43ccedbf481b2ee670d3b7c52accf9ffa5d9f
SummaryA static analyzer for PHP
DescriptionPhan is a static analyzer that looks for common issues and will verify type compatibility on various operations when type information is available or can be deduced. Phan does not make any serious attempt to understand flow control and narrow types based on conditionals.
Built byremi
State complete
Volume DEFAULT
StartedMon, 25 Mar 2019 09:22:13 UTC
CompletedMon, 25 Mar 2019 09:23:54 UTC
Taskbuild (f28-candidate, /rpms/phan.git:9cf43ccedbf481b2ee670d3b7c52accf9ffa5d9f)
Extra{'source': {'original_url': 'git+https://src.fedoraproject.org/rpms/phan.git#9cf43ccedbf481b2ee670d3b7c52accf9ffa5d9f'}}
Tags
f28-updates
RPMs
src
phan-1.2.7-1.fc28.src.rpm (info) (download)
noarch
phan-1.2.7-1.fc28.noarch.rpm (info) (download)
Logs
noarch
hw_info.log
state.log
root.log
build.log
mock_output.log
noarch_rpmdiff.json
Changelog * Sat Mar 23 2019 Remi Collet <remi@remirepo.net> - 1.2.7-1 - update to 1.2.7 - raise dependency on microsoft/tolerant-php-parser 0.0.17 * Sun Mar 10 2019 Remi Collet <remi@remirepo.net> - 1.2.6-1 - update to 1.2.6 * Wed Feb 27 2019 Remi Collet <remi@remirepo.net> - 1.2.5-1 - update to 1.2.5 - add dependecy on mbstring - add weak dependecy on igbinary * Tue Feb 19 2019 Remi Collet <remi@remirepo.net> - 1.2.4-1 - update to 1.2.4 - raise dependency on composer/xdebug-handler 1.3.2 * Mon Feb 11 2019 Remi Collet <remi@remirepo.net> - 1.2.3-1 - update to 1.2.3 * Mon Feb 04 2019 Remi Collet <remi@remirepo.net> - 1.2.2-1 - update to 1.2.2 * Sat Jan 19 2019 Remi Collet <remi@remirepo.net> - 1.2.1-1 - update to 1.2.1 - raise dependency on microsoft/tolerant-php-parser 0.0.16 * Sun Jan 06 2019 Remi Collet <remi@remirepo.net> - 1.2.0-1 - update to 1.2.0 * Mon Dec 31 2018 Remi Collet <remi@remirepo.net> - 1.1.10-1 - update to 1.1.10 * Sun Dec 16 2018 Remi Collet <remi@remirepo.net> - 1.1.8-1 - update to 1.1.8 * Sun Dec 09 2018 Remi Collet <remi@remirepo.net> - 1.1.7-1 - update to 1.1.7 * Fri Nov 30 2018 Remi Collet <remi@remirepo.net> - 1.1.5-1 - update to 1.1.5 * Wed Nov 28 2018 Remi Collet <remi@remirepo.net> - 1.1.4-1 - update to 1.1.4 * Wed Nov 21 2018 Remi Collet <remi@remirepo.net> - 1.1.3-1 - update to 1.1.3 * Tue Nov 06 2018 Remi Collet <remi@remirepo.net> - 1.1.2-1 - update to 1.1.2 * Tue Oct 23 2018 Remi Collet <remi@remirepo.net> - 1.1.1-1 - update to 1.1.1 * Tue Oct 09 2018 Remi Collet <remi@remirepo.net> - 1.1.0-1 - update to 1.1.0 * Wed Oct 03 2018 Remi Collet <remi@remirepo.net> - 1.0.7-1 - update to 1.0.7 - raise dependency on microsoft/tolerant-php-parser 0.0.13 - php-ast is optional * Wed Sep 26 2018 Remi Collet <remi@remirepo.net> - 1.0.6-1 - update to 1.0.6 - sources from git snapshot * Sat Sep 22 2018 Remi Collet <remi@remirepo.net> - 1.0.5-1 - update to 1.0.5 - open https://github.com/phan/phan/issues/1986 keep the tests - keep ast mandatory despite it is now optional * Mon Sep 10 2018 Remi Collet <remi@remirepo.net> - 1.0.4-1 - update to 1.0.4 - add the upstream plugins - raise dependency on felixfbecker/advanced-json-rpc 3.0.3 * Sat Sep 08 2018 Remi Collet <remi@remirepo.net> - 1.0.3-1 - update to 1.0.3 * Fri Sep 07 2018 Remi Collet <remi@remirepo.net> - 1.0.2-1 - update to 1.0.2 - raise dependency on composer/xdebug-handler 1.3 * Mon Aug 27 2018 Remi Collet <remi@remirepo.net> - 1.0.1-1 - update to 1.0.1 - raise dependency on microsoft/tolerant-php-parser 0.0.13 * Tue Aug 14 2018 Remi Collet <remi@remirepo.net> - 1.0.0-1 - update to 1.0.0 * Mon Jul 23 2018 Remi Collet <remi@remirepo.net> - 0.12.15-1 - update to 0.12.15 * Mon Jul 09 2018 Remi Collet <remi@remirepo.net> - 0.12.14-1 - update to 0.12.14 * Tue Jun 19 2018 Remi Collet <remi@remirepo.net> - 0.12.13-1 - update to 0.12.13 - raise dependency on microsoft/tolerant-php-parser 0.0.11 - raise dependency on composer/xdebug-handler 1.1 * Mon Jun 11 2018 Remi Collet <remi@remirepo.net> - 0.12.12-1 - update to 0.12.12 * Thu May 31 2018 Remi Collet <remi@remirepo.net> - 0.12.11-1 - update to 0.12.11 * Mon May 28 2018 Remi Collet <remi@remirepo.net> - 0.12.10-1 - update to 0.12.10 * Wed May 23 2018 Remi Collet <remi@remirepo.net> - 0.12.9-1 - update to 0.12.9 - raise dependency on microsoft/tolerant-php-parser 0.0.11 * Sun May 13 2018 Remi Collet <remi@remirepo.net> - 0.12.8-1 - update to 0.12.8 * Tue Apr 03 2018 Remi Collet <remi@remirepo.net> - 0.12.5-1 - update to 0.12.5 * Mon Apr 02 2018 Remi Collet <remi@remirepo.net> - 0.12.4-1 - update to 0.12.4 * Mon Mar 26 2018 Remi Collet <remi@remirepo.net> - 0.12.3-1 - update to 0.12.3 - add dependency on composer/xdebug-handler - raise dependency on microsoft/tolerant-php-parser 0.0.10 * Sat Mar 03 2018 Remi Collet <remi@remirepo.net> - 0.12.2-1 - Update to 0.12.2 * Thu Mar 01 2018 Remi Collet <remi@remirepo.net> - 0.12.1-1 - Update to 0.12.1 * Mon Feb 26 2018 Remi Collet <remi@remirepo.net> - 0.12.0-1 - Update to 0.12.0 - drop dependency on nikic/PHP-Parser - add dependency on composer/semver - same version for PHP 7.0, 7.1 and 7.2 * Thu Feb 15 2018 Remi Collet <remi@remirepo.net> - 0.11.3-1 - Update to 0.11.3 - raise dependency on microsoft/tolerant-php-parser 0.0.9 * Mon Feb 12 2018 Remi Collet <remi@remirepo.net> - 0.11.2-1 - Update to 0.11.2 * Mon Jan 22 2018 Remi Collet <remi@remirepo.net> - 0.11.1-1 - Update to 0.11.1 - raise dependency on felixfbecker/advanced-json-rpc 3.0 - add dependency on microsoft/tolerant-php-parser - allow Symfony 4 * Sat Nov 18 2017 Remi Collet <remi@remirepo.net> - 0.11.0-1 - Update to 0.11.0 - raise dependency on PHP 7.2 * Sat Nov 18 2017 Remi Collet <remi@remirepo.net> - 0.10.2-1 - Update to 0.10.2 * Sat Oct 21 2017 Remi Collet <remi@remirepo.net> - 0.10.1-1 - Update to 0.10.1 - add dependency on felixfbecker/advanced-json-rpc 2.0 - add dependency on sabre/event 5.0 * Mon Sep 25 2017 Remi Collet <remi@remirepo.net> - 0.10.0-1 - Update to 0.10.0 - raise dependency on ast 0.1.5 - add dependency on nikic/php-parser 3.1.1 - move from etsy/phan to phan/phan * Wed Aug 16 2017 Remi Collet <remi@remirepo.net> - 0.9.4-1 - Update to 0.9.4 * Wed Jul 12 2017 Remi Collet <remi@remirepo.net> - 0.9.3-1 - Update to 0.9.3 - installation layout match upstream tree - remove phan-prep command (only an example) - add phan-client command * Wed Jun 14 2017 Remi Collet <remi@remirepo.net> - 0.9.2-1 - Update to 0.9.2 - allow Symfony 3 - use phpunit 6 * Thu Mar 16 2017 Remi Collet <remi@remirepo.net> - 0.9.1-1 - Update to 0.9.1 - raise dependency on PHP 7.1 - raise dependency on ast 0.1.4 * Fri Jan 27 2017 Remi Collet <remi@remirepo.net> - 0.8.3-1 - update to 0.8.3 * Thu Jan 26 2017 Remi Collet <remi@remirepo.net> - 0.8.2-1 - update to 0.8.2 * Wed Jan 25 2017 Remi Collet <remi@fedoraproject.org> - 0.8.0-1 - update to 0.8.0 * Fri Dec 09 2016 Remi Collet <remi@fedoraproject.org> - 0.7-1 - update to 0.7 * Thu Nov 24 2016 Remi Collet <remi@fedoraproject.org> - 0.6-1 - initial package